---
title: List members
url: https://www.tines.com/docs/api/teams/list-members/
updated: 2024-05-21T14:22:53+00:00
description: Retrieve a list of team members.
---

*[tines.com](https://www.tines.com/llms.txt) › [Docs](https://www.tines.com/llms.txt) › [Tines API](https://www.tines.com/llms.txt) › [Teams](https://www.tines.com/llm/docs/api/teams.md)*

# List members

*[View on tines.com](https://www.tines.com/docs/api/teams/list-members/)*

## Description

Retrieve a list of team members.

## Request

HTTP Method: **GET**

| Path Parameter | Description    |
| -------------- | -------------- |
| team_id        | ID of the team |

| Query Parameter | Description                                                                                         |
| --------------- | --------------------------------------------------------------------------------------------------- |
| per_page        | **Optional** Set the number of results returned per page.                                           |
| page            | **Optional** Specify the page of results to return if there are multiple pages. Defaults to page 1. |

```bash
curl -X GET \
  https://<tenant-domain>/api/v1/teams/<<team_id>>/members \
  -H 'content-type: application/json' \
  -H 'Authorization: Bearer <<CREDENTIAL.tines_api_key>>'
```

## Response

A successful request will return a JSON Array describing team members.

### Field description

| Parameter           | Description                                                                   |
| ------------------- | ----------------------------------------------------------------------------- |
| id                  | User ID.                                                                      |
| email               | User email.                                                                   |
| first_name          | User first name.                                                              |
| last_name           | User last name.                                                               |
| is_admin            | Boolean flag indicating whether user is an admin.                             |
| created_at          | Timestamp describing when the user was created.                               |
| last_seen           | Timestamp describing when the user was last seen in the platform.             |
| invitation_accepted | Boolean flag indicating if the user accepted the invitation to join the team. |
| role                | The user’s role on the team.                                                  |

### Sample response

<!-- cspell:disable -->

```json
{
  "members": [
    {
      "id": 1,
      "first_name": "First name",
      "last_name": "Last name",
      "email": "user@example.com",
      "is_admin": true,
      "created_at": "2021-03-11T09:00:58Z",
      "last_seen": "2021-04-30T08:56:05Z",
      "invitation_accepted": true,
      "role": "TEAM_ADMIN"
    }
  ],
  "meta": {
    "current_page": "https://<tenant-domain>/api/v1/teams/4178/members?per_page=20&page=1",
    "previous_page": null,
    "next_page": null,
    "next_page_number": null,
    "per_page": 20,
    "pages": 1,
    "count": 1
  }
}
```

<!-- cspell:enable -->
